#ifndef COUNT_CONFIG_H
#define COUNT_CONFIG_H 1

/*
** This file is automatically generated by the Count-config script
** Count-config
** Counter Version: 2.6 by ma_muquit@fccc.edu
** created on: Sat Aug 21 23:28:18 EDT 1999
**
**  If you edit this file, you better make sure you know what your are doing
*/
#define CONFIG_DIR       "/usr/local/etc/Counter/conf"
#define CONFIG_FILE      "count.cfg"
#define DIGIT_DIR        "/usr/local/etc/Counter/digits"
#define DATA_DIR         "/usr/local/etc/Counter/data"
#define DATABASE_DIR     "/usr/local/etc/Counter/db"
#define COUNT_DATABASE   "Countdb"
#define AUTH_DATABASE    "Authdb"
#define DB_LOCKFILE      "Count.lck"
#define TT_FONT_DIR      "/usr/local/etc/Counter/fonts"
#define LOG_DIR          "/usr/local/etc/Counter/logs"
#define ERROR_LOG_FILE   "error.log"
#define VISITOR_LOG_FILE "visitor.log"

/*****************************************************************************
* Defaults parameters not supplied in calling.
* Change em here if you insist...
*****************************************************************************/
/* Max digitis in output */
#define DEFAULT_MAXDIGITS           6

/* left padding with zeros, 0 indicates no left padding */
#define DEFAULT_LEFTPAD             True

/* Default frame thickness, 0 indicates no frame */
#define DEFAULT_FRAME_THICKNESS     0

/* default frame color is #a7c2ed */
#define DEFAULT_FRAME_RED           100
#define DEFAULT_FRAME_GREEN         139
#define DEFAULT_FRAME_BLUE          216

/* default opaque color. Do not change this. */
#define DEFAULT_OPAQUE_RED          0
#define DEFAULT_OPAQUE_GREEN        255
#define DEFAULT_OPAQUE_BLUE         0

/* default pen color */
#define DEFAULT_PEN_RED             255
#define DEFAULT_PEN_GREEN           119
#define DEFAULT_PEN_BLUE            0

/* use this ft if we get frgb only */
#define FRGB_IMPLIED_FT             4

/* default transpareny */
#define DEFAULT_TRANSPARENCY        False

/* default transparent color is black */
#define DEFAULT_TRANSPARENT_RED     0
#define DEFAULT_TRANSPARENT_GREEN   0
#define DEFAULT_TRANSPARENT_BLUE    0

/* use this tr, if we get trgb only */
#define TRGB_IMPLIED_TR             1

/* default initial counter value */
#define DEFAULT_STARTCOUNT          1

/* show count or not */
#define DEFAULT_SHOWCOUNT           1

/* this df means, use rand */
#define DF_FOR_RANDOM               "RANDOM"

/* make rand the default too */
#define DEFAULT_DATAFILE            "RANDOM"

/* default digit style, my green LED, digits/A */
#define DEFAULT_DIGITS_STYLE        "A"

/* Date */
#define DEFAULT_SHOW_FY             0    /*don't show all year digitsin date*/

/* & or | separate params */
#define PARAM_DELIMITERS            "|&"

/* Countdown */
/* gg => Default target is now blank, so current date/time will be used */
/* gg => #define DEFAULT_CD_TARGET           2000 */ /* Default target Year */
/* gg => #define DEFAULT_CD_MONTH            1    */ /* January */
/* gg => #define DEFAULT_CD_DAY              1    */ /* day 1 */
/* gg => #define DEFAULT_CD_HR               0    */ /* 0 hr */
/* gg => #define DEFAULT_CD_MIN              0    */ /* 0 sec */
/* gg => #define DEFAULT_CD_SEC              0    */ /* 0 sec */
#define DEFAULT_CD_FMT              "%d years %d months and %d days"  /* gg => countdown YMD format */
#define DEFAULT_SHOW_FD             0       /* don't show from date */
#define DEFAULT_SHOW_DMHS           1       /* show day,hr,min,sec */
#define DEFAULT_UPL_X               (-1)    /* uppler left x, dont change */
#define DEFAULT_UPL_Y               (-1)    /* upper left y, dont change */

/* Composite */
#define DEFAULT_ALIGNMENT           ALIGN_TOP_CENTER
#define DEFAULT_OFFSET              2

/* TrueType Font stuff */
#define DEFAULT_TTF_POINT_SIZE      12  /* TTF point size, 1pt=1/72 inch */
#define DEFAULT_TTF_BORDER          0   /* border around TTF text */
#define DEFAULT_TTF_X_RES           96  /* Screen X resolution in dpi */
#define DEFAULT_TTF_Y_RES           96  /* Screen Y resolution in dpi */
#define DEFAULT_TTF_SMOOTH          1   /* Do Anti Aliasing, 0 for dont */
#define DEFAULT_TTF_BG_RED          255 /* Background red component */
#define DEFAULT_TTF_BG_GREEN        255 /* Background green component */
#define DEFAULT_TTF_BG_BLUE         255 /* Background Blue component */
#define DEFAULT_TTF_FG_RED          0   /* Foreground red component */
#define DEFAULT_TTF_FG_GREEN        0   /* Foreground red component */
#define DEFAULT_TTF_FG_BLUE         0   /* Foreground red component */

/*
** This specifies a file listing RGB values mapped to names.
** If not defined, no attempt to use RGB names is made.  If you are not sure,
** just leave this be--it is okay if the file does not exist.
**
** When RGB_MAPPING_ISERROR is set to 1, an error is returned when RGB name
** value is used, but it shows the corresponding RGB triplet.  This is done
** so RGB names can be looked up, but yet not allow users to make constant
** use of this very ineffiecient lookup.
*/
#define RGB_MAPPING_DICT            "/usr/local/etc/Counter/rgb.txt"

/*
** if a database is created from rgb.txt file using the supplied
** program rgbtxt2db, then this database will be used instead of the
** rgb.txt file. It will make lookup very efficient. The counter program
** will try to use the database first. If it fails, then it will try
** to use the rgb.txt file
*/
#define RGB_DATABASE                "/usr/local/etc/Counter/db/rgbdb"


/* End of parameter defaults */
#endif /* COUNT_CONFIG_H*/
